
// Describes one single database field of our own custom format.

#ifndef MARSTR_DATABASEFIELD
#define MARSTR_DATABASEFIELD

#include <cstdlib>
#include <string>

using namespace std;

namespace marstr
{
	class databasefield
	{
	public:
		// Whether or not this is a null field
		bool NullField;

		// The content type
		int ContentType;

		// The single content types
		int fieldInt;
		unsigned int fieldUInt;
		short fieldShort;
		unsigned short fieldUShort;
		long fieldLong;
		unsigned long fieldULong;
		float fieldFloat;
		double fieldDouble;
		string fieldString;
	};
}

#endif
